Get environment listing
curl --request GET \
--url https://api.gputrader.io/v1/environments/{envId}/listing \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.gputrader.io/v1/environments/{envId}/listing"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.gputrader.io/v1/environments/{envId}/listing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"envId": "<string>",
"availabilityWindows": {},
"pricing": {},
"selectedGPUs": 123,
"totalGPUs": 123,
"availableGPUs": 123,
"totalCPUs": 123,
"totalRAM": 123,
"totalStorage": 123,
"gpuName": "<string>",
"gpuInterconnect": "<string>",
"gpuVRAM": 123,
"gpuCUDA": "<string>",
"gpuBandwidth": 123,
"location": "<string>",
"networkUploadSpeed": 123,
"networkDownloadSpeed": 123,
"type": {},
"activeRentalIds": {},
"isListed": true,
"updatedAt": "2023-11-07T05:31:56Z"
}Environments
Get environment listing
Retrieve the listing details for a specific environment
GET
/
environments
/
{envId}
/
listing
Get environment listing
Authorizations
Path Parameters
Environment ID
Response
Successfully retrieved environment listing
Environment identifier
Availability windows configuration
Pricing configuration
Number of GPUs selected by user (only present in rentals)
Total number of GPUs on the device
Number of GPUs currently available for rental
Total CPU cores in GB
Total RAM in GB
Total storage in GB
Name of the GPU model
GPU interconnect specification
GPU VRAM capacity
CUDA version/capability
GPU bandwidth
Physical location of the environment
Network upload speed
Network download speed
Listing type configuration
Active rental IDs configuration
Whether the environment is listed
Last update timestamp

